"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _reactNativeReanimated = _interopRequireWildcard(require("react-native-reanimated"));

var _reactNativeSafeAreaContext = require("react-native-safe-area-context");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function InputAccessoryView(props) {
  const {
    spaceHeight = 55,
    renderView = '',
    extraHeight = 0
  } = props;
  const keyboard = (0, _reactNativeReanimated.useAnimatedKeyboard)();
  const insets = (0, _reactNativeSafeAreaContext.useSafeAreaInsets)();
  const spaceStyle = (0, _reactNativeReanimated.useAnimatedStyle)(() => {
    if (_reactNative.Platform.OS === 'ios') {
      return {
        height: keyboard.height.value + extraHeight
      };
    }

    return {
      height: keyboard.height.value - insets.bottom + extraHeight
    };
  }, [insets.bottom, extraHeight]);
  const translateStyle = (0, _reactNativeReanimated.useAnimatedStyle)(() => ({
    opacity: keyboard.height.value === 0 ? 0 : 1
  }));
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      position: 'absolute',
      width: '100%',
      bottom: 0
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNativeReanimated.default.View, {
    style: [{
      height: spaceHeight,
      width: '100%'
    }, translateStyle]
  }, /*#__PURE__*/(0, _react.createElement)(renderView)), /*#__PURE__*/_react.default.createElement(_reactNativeReanimated.default.View, {
    style: spaceStyle
  }));
}

var _default = /*#__PURE__*/(0, _react.memo)(InputAccessoryView);

exports.default = _default;
//# sourceMappingURL=index.js.map